how can i get a body from a part file without setting it as active work part?
i have tried the following code but i dont know how to get the Partloadstatus.
Thank u very much.
Dim bodies1(0) As NXOpen.Body
Dim loadStatus As PartLoadStatus = Nothing
'loadStatus = component1.OwningPart.LoadFully
Dim mySourcePart As Part = theSession.Parts.Open(currentFileName, LoadOptions.LoadOption.FullyLoad)
Dim body1 As NXOpen.Body = mySourcePart.Bodies.ToArray(0) '= CType(component1.FindObject("PROTO#.Bodies|BLOCK(1)"), NXOpen.Body)
For Each body In mySourcePart.Bodies
body1 = body
Next
'Dim body1 As NXOpen.Body = CType(component1.FindObject(JI), NXOpen.Body)
'body1 = bodies_1(0)
bodies1(0) = body1
it worked with findobject instead of Open
it worked with findobject instead of Open so that i do not need the partloadstatus any more
re: get bodies
If memory serves, you can get the bodies from any open part as long as it is fully loaded.